actions: []
api_documentation: http://docs.ros.org/groovy/api/topic_tools/html
authors: Morgan Quigley, Brian Gerkey
brief: ''
bugtracker: ''
depends:
- rosconsole
- catkin
- roscpp
- xmlrpcpp
- std_msgs
- message_runtime
- rostime
- rostest
- rosunit
- message_generation
- cpp_common
depends_on:
- message_to_tf
- pr2_navigation_teleop
- pr2_interactive_manipulation
- kurt_navigation_local
- pr2_gazebo
- pr2_navigation_slam
- pr2eus_openrave
- jsk_topic_tools
- foreign_relay
- cob_navigation_global
- erratic_navigation
- pr2_map_navigation_app
- rosR
- pr2_pan_tilt
- pcl
- pr2_teleop
- pr2_navigation_local
- test_rosbag
- cob_controller_configuration_gazebo
- turtlebot_core_apps
- pr2_teleop_app
- topic_logger
- pr2_navigation_perception
- pr2_navigation_global
- ros_comm
- elektron_bringup
- pr2_make_a_map_app
- rosbag
description: "Tools for directing, throttling, selecting, and otherwise messing with\n\
  \    ROS topics at a meta level. None of the programs in this package actually\n\
  \    know about the topics whose streams they are altering; instead, these\n   \
  \ tools deal with messages as generic binary blobs. This means they can be\n   \
  \ applied to any ROS topic."
devel_jobs:
- devel-groovy-ros_comm
doc_job: doc-groovy-ros_comm
has_changelog_rst: true
license: BSD
maintainer_status: maintained
maintainers: Dirk Thomas <dthomas@osrfoundation.org>
metapackages:
- ros_comm
msgs: []
package_type: package
release_jobs:
- ros-groovy-topic-tools_sourcedeb
- ros-groovy-topic-tools_binarydeb_precise_amd64
- ros-groovy-topic-tools_binarydeb_precise_i386
- ros-groovy-topic-tools_binarydeb_oneiric_amd64
- ros-groovy-topic-tools_binarydeb_oneiric_i386
- ros-groovy-topic-tools_binarydeb_quantal_amd64
- ros-groovy-topic-tools_binarydeb_quantal_i386
repo_name: ros_comm
repo_url: ''
srvs:
- MuxDelete
- MuxList
- MuxSelect
- MuxAdd
timestamp: 1412596028.575217
url: http://ros.org/wiki/topic_tools
vcs: git
vcs_uri: https://github.com/ros/ros_comm.git
vcs_version: groovy-devel
